Subject: Re: [Tsvwg] Re: HighSpeed TCP for Large Congestion Windows

From: Joe Touch <[email-masked]>
Date: Thu, 01 Aug 2002 10:23:39 -0700

Sally Floyd wrote:
> Reiner -
> 
> 
>>I have few comments about that draft ...
>>
>>1. I'm not convinced that this is a real problem for the (public) Internet:
> 
> 
> As I said in the viewgraphs, I certainly don't think this is a
> pressing problem in the Internet today, for anyone.  The HighSpeed
> TCP draft tried to be clear about the problem description, which
> is the *very* small packet drop/mark rates needed to sustain very
> high congestion windows with current TCP.  
> 
> The reason to bring this to tsvwg is exactly to hear whether people
> feel this is inappropriate to bring to the IETF, or not.  (My own
> reading of the sense of the working group meeting was that people
> felt that this *was* appropriate to bring to the IETF.)

Hi, Sally (et al.),

My read was somewhat different. While some were interested in exploring 
this (IMO, 'academically'), most felt that because it wasn't of 
near-term utility it was premature for the WG.

My own thoughts, as mentioned at the IETF, are that there are 
interesting aspects to this, but I'm uncomfortable with proposing three 
modifications at once. That either means there's a more fundamental 
problem, or that some of the solutions are marginal, or both.

FWIW, regarding using an IP option to optimistically reserve router 
resources. We already have a mechanism for this - RSVP. It might be 
useful to explore encapsulating a TCP SYN inside RSVP, where the routers 
keep only temporary aggregate state about the reservation (total 
allocated over the past 1 second) and the endpoints decapsulate and pass 
the request onto the host.

Joe

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Reiner Ludwig <[email-masked]>
Date: Thu, 15 Aug 2002 14:29:44 +0200

The attached e-mail had been filtered from [email-masked] because I used a 
different e-mail address than I had used when I subscribed to the list. Sorry!

///Reiner

>Date: Wed, 14 Aug 2002 13:25:02 +0200
>To: Sally Floyd <[email-masked]>
>From: Reiner Ludwig <[email-masked]>
>Subject: Re: [Tsvwg] Re: HighSpeed TCP for Large Congestion Windows
>Cc: [email-masked]
>
>At 18:52 09.08.2002, Sally Floyd wrote:
>>My own understanding is that the HighSpeed draft describes a solution
>>for a problem that a small subset of people have today,
>
>Which people? What applications are they using? What are the traffic 
>characteristics of those applications?
>
>I really think that it would help readers of your draft a lot if they 
>found answers to those questions in the text.
>
>///Reiner

---

From: Reiner Ludwig <[email-masked]>
Date: Thu, 15 Aug 2002 11:00:03 +0200

again, this e-mail never arrived at the list, so I'm resending it.

///Reiner

---

From: Sally Floyd <[email-masked]>
Date: Tue, 27 Aug 2002 17:44:25 -0700

>This forum is not the only place where good protocol design is applied 
>or considered. The question is whether it is relevant - at this point - 
>to consider preliminary work.
...
>Keeping the WG informed isn't the same as making this a WG agenda item.
...
>This WG has in the past been fairly conservative about taking on agenda 
>items, notably experimental ones, considering the conservative approach 
>about modifying TCP.
...
>There is 
>insufficient motivation in this case to warrant an exception.

Well, it made most sense to me to ask for the HighSpeed TCP draft
to be considered as an agenda item of tsvwg, and to be considered
for an Experimental RFC, but if tsvwg decides otherwise, then that
is OK by me.

I just thought I would explain my reasons for asking it to be considered
as a WG agenda item:

* HighSpeed TCP proposes a rather significant change in the underlying
TCP response function.  Any such change would have to be globally
agreed-upon.  It seemed advisable to me to bring such a proposal
to the IETF for feedback even in its preliminary stages.

* While several people have conducted evaluations of HighSpeed TCP
using simulations, my own belief is that the "real" evaluations
will have to happen in experiments and in actual deployment.  As
part of this experimentation, HighSpeed TCP has been implemented
in the Linux 2.4.16 Web100 kernel.  It seemed to me that it was
incumbent upon me, at this stage, to bring this to the IETF and to
seek Experimental status.

* I no longer view the world as divided between the "public" and
the "private" Internet, with the IETF only concerned about the
"public" Internet.  I understand that there are ISPs, and parts of
the net operated and controlled by governmental agencies (such as
DOE and NASA in the U.S.) or by other institutions (e.g., schools),
parts that are behind firewalls, etc.  Thus, the fact that
some/most/all(?) high-bandwidth transfers currently are on DOE/NASA/CERN
and similar networks did not seem to me a reason not to bring
something to the IETF.

* A fourth reason to bring this to tsvwg is to get feedback, both
positive and negative, from people who I don't happen to know, and
who I would not otherwise talk with.  Fortunately, this one can
easily be satisfied simply by discussions on the mailing list, or
on some other mailing list, and has nothing to do with being a WG
item or with Experimental status one way or another.

My two bits.

- Sally